package com.sksamuel.scoot.rest.jersey.cache

import javax.ws.rs.core.Response
import javax.ws.rs.ext.{Provider, ExceptionMapper}

/** @author Stephen Samuel */
class CachedResourceException(val response: Response) extends RuntimeException

@Provider
class CachedResourceExceptionMapper extends ExceptionMapper[CachedResourceException] {
    def toResponse(exception: CachedResourceException) = exception.response
}